<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SecurityContentBlock',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <SlpContainer
    class="security-content-block"
    :class="{ 'security-content-block--padded': data.padded }"
  >
    <SlpRow :class="`slp-align-items-${data.align_content}`">
      <SlpColumn :cols="data.column_size || 12">
        <SlpTypography
          v-if="data.note"
          :variant="
            data.note.typography ? data.note.typography : 'heading5-bold'
          "
          tag="h2"
          class="slp-mb-24"
          >{{ data.note.text }}
        </SlpTypography>
        <SlpTypography
          v-if="data.header.text"
          :variant="
            data.header.typography ? data.header.typography : 'heading2-bold'
          "
          tag="h2"
          class="slp-mb-24"
          >{{ data.header.text }}
        </SlpTypography>
        <div>
          <SlpTypography
            :variant="
              data.description.typography
                ? data.description.typography
                : 'heading5'
            "
            tag="div"
          >
            <div
              class="security-content-block__desc"
              v-html="$md.render(data.description.text)"
            ></div>
          </SlpTypography>
        </div>
      </SlpColumn>
      <SlpColumn v-if="data.image">
        <nuxt-img
          class="security-content-block__img"
          :class="{
            'security-content-block__img--bordered': data.image.bordered,
          }"
          :src="data.image.image_url"
          :alt="data.image.alt"
          loading="lazy"
          format="webp"
          quality="99"
        />
      </SlpColumn>
    </SlpRow>
    <SlpHorizontalRule v-if="data.divider" />
  </SlpContainer>
</template>

<style lang="scss" scoped>
.security-content-block {
  &__desc {
    &:deep(p) {
      margin-bottom: 16px;
    }
  }
  &--padded {
    margin: $spacing-32 auto;
    @media (min-width: $breakpoint-md) {
      margin: $spacing-96 auto;
    }
  }
  :deep .slp-hr {
    border-top: 1px solid $color-surface-200;
    margin-top: $spacing-32;
    @media (min-width: $breakpoint-md) {
      margin-top: $spacing-48;
    }
  }
  &__img {
    width: 100%;
    object-fit: cover;
    height: 100%;
    padding: $spacing-32 0;
    @media (min-width: $breakpoint-md) {
      padding: 0 0 0 $spacing-32;
    }

    &--bordered {
      border-radius: 4px 4px 200px 4px;
    }
  }
}
</style>
